gnutls_x509_dn_get_str(3)

NAME
gnutls_x509_dn_get_str - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_dn_get_str(gnutls_x509_dn_t dn, gnutls_datum_t * str);

ARGUMENTS

gnutls_x509_dn_t dn
    a pointer to DN

gnutls_datum_t * str
    a datum that will hold the name

DESCRIPTION
This function will allocate buffer and copy the name in the provided DN. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC4514. The output string will be ASCII or UTF-8 encoded, depending on the certificate data.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/